using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Enums
{
    /// <summary>
    /// 执行周期
    /// </summary>
    public enum HMCycleEnum
    {
        /// <summary>
        /// 每天
        /// </summary>
        每天 = 0,
        /// <summary>
        /// 每周
        /// </summary>
        每周 = 1,
        /// <summary>
        /// 每月
        /// </summary>
        每月 = 2,
        /// <summary>
        /// 每季度
        /// </summary>
        每季度 = 3,
        /// <summary>
        /// 每年
        /// </summary>
        每年 = 4
    }
    /// <summary>
    /// 是否启用
    /// </summary>
    public enum STATUSEnum
    {
        启用 = 0,
        停用 = 1,
    }
    /// <summary>
    /// 是否为关键岗位
    /// </summary>
    public enum ISImportantEnum
    {
        否 = 0,
        是 = 1,
    }

    public enum SecretLevelEnum 
    {
        普通 = 0,
        机密 = 1,
        绝密 = 2,
    }
    public enum EvaluateLevelEnum
    {
        [Description("1级")]
        一级 = 10,
        [Description("2级")]
        二级 = 20,
        [Description("3级")]
        三级 = 30,
        [Description("4级")]
        四级 = 40,
    }
    public enum HazardLevelEnum
    {
        [Description("A")]
        A = 10,
        [Description("B")]
        B = 20,
        [Description("C")]
        C = 30,
        [Description("D")]
        D = 40,
        [Description("E")]
        E = 50,
    }
    public enum StepTypeEnum
    {
        [Description("动火作业")]
        A = 10,
        [Description("受限空间作业")]
        B = 20,
        [Description("盲板抽堵作业")]
        C = 30,
        [Description("高处作业")]
        D = 40,
        [Description("吊装作业")]
        E = 50,
        [Description("临时用电作业")]
        F = 60,
        [Description("动土作业")]
        G = 70,
        [Description("断路作业")]
        H = 80,
    }
}
